File: changelog

package info (click to toggle)
bioperl-run 1.7.3-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 10,480 kB
  • sloc: perl: 19,900; xml: 587; makefile: 28; sh: 6
file content (176 lines) | stat: -rw-r--r-- 6,628 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
bioperl-run (1.7.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Drop dependencies: bowtie, bwa, maq, t-coffee, gmap, paml
    Thanks for the hint to Carnë Draug <carandraug+dev@gmail.com>)
  * Versioned (Build-)Depends: bioperl (>= 1.7.4)

 -- Andreas Tille <tille@debian.org>  Mon, 11 Feb 2019 22:14:53 +0100

bioperl-run (1.7.2-4) unstable; urgency=medium

  * (Build-)Depends: ncoils
  * do not run tests parallel to get sensibly sorted output
  * Allow MPI oversubscription (as in phyml build since phyml caused
    problems inside build time tests)
    This is also not reliable - skip phyml test at all
    Closes: #906337
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Fix Homepage
  * Lintian-override for script-with-language-extension

 -- Andreas Tille <tille@debian.org>  Fri, 14 Sep 2018 20:10:08 +0200

bioperl-run (1.7.2-3) unstable; urgency=medium

  * Drop adjust_bowtie_tests.patch, Closes: #887578
  * Bump Standards-Version to 4.1.3 (no changes needed)

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 26 Jan 2018 10:43:45 +0100

bioperl-run (1.7.2-2) unstable; urgency=medium

  * Team upload
  * Add adjust_bowtie_tests.patch fixing failing tests for Bowtie
    Closes: #880347
  * Bump Standards-Version to 4.1.2, apply cme fix dpkg

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 07 Dec 2017 18:19:04 +0100

bioperl-run (1.7.2-1) unstable; urgency=medium

  * New upstream version
  * Convert packaging from SVN to Git
  * For some reason Ensembl.t test is executed in autopkgtest run even
    if it should be skipped due to missing preconditions
    (http://search.cpan.org/~cjfields/Bio-EUtilities-1.72/lib/Bio/DB/EUtilities.pm)
    The test will now be fully removed to make sure it is skipped.
  * Standards-Version: 4.1.0 (no changes needed)
  * Do not try to run bowtie tests with wrong bowtie call
    Closes: #868073

 -- Andreas Tille <tille@debian.org>  Wed, 20 Sep 2017 14:29:45 +0200

bioperl-run (1.7.1-3) unstable; urgency=medium

  * s/Conflicts/Breaks/
    Closes: #850029

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2017 08:25:26 +0100

bioperl-run (1.7.1-2) unstable; urgency=medium

  * Conflicts: libbio-perl-perl (<< 1.7.1-1)
    Closes: #850029

 -- Andreas Tille <tille@debian.org>  Tue, 03 Jan 2017 21:10:54 +0100

bioperl-run (1.7.1-1) unstable; urgency=medium

  * New upstream version
  * Testsuite: autopkgtest-pkg-perl
  * cme fix dpkg-control
  * Enable lots of tests
  * Module Bio::Tools::Run::WrapperBase was taken over from BioPerl into
    bioperl-run in commit acd57a7d14112c5fd2cd979005b072efdaf57679 which is
    taken over in quilt patch
  * Fix homepage
  * d/watch:
     - version=4
     - Fix versionmangling
  * Build-Depends: raxml
  * Update copyright
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Wed, 21 Dec 2016 21:24:05 +0100

bioperl-run (1.6.9-3) unstable; urgency=medium

  [ Charles Plessy ]
  * Build-depend on libmodule-build-perl, Closes: #788888.

  [ Andreas Tille ]
  * Compliant with Standards-Version: 3.9.6

 -- Charles Plessy <plessy@debian.org>  Tue, 23 Jun 2015 20:05:10 +0900

bioperl-run (1.6.9-2) unstable; urgency=low

  * debian/source/format: 3.0 (quilt)
  * debian/control:
     - cme fix dpkg-control
     - canonical Vcs URLs
     - debhelper 9
  * debian/README.source: removed because redundant
  * debian/copyright: DEP5
  * debian/watch: Point download location to github which provides more
    reliable version numbering than CPAN which would have needed a more
    complex version mangling
  * refreshed quilt patches to get rid of fuzz

 -- Andreas Tille <tille@debian.org>  Fri, 15 Nov 2013 10:03:29 +0100

bioperl-run (1.6.9-1) unstable; urgency=low

  * New upstream release. 
  * Converted and validated debian/copyright to latest machine-readable format.
  * debian/control:
    - Refreshed the list of packages for which wrappers are provided, in the
      Suggests field as well as in an experimental Build-Recommends field.
    - Incremented Standards-Version to reflect conformance with Policy 3.9.2.
      No other changes needed.
    - Vcs-Browser URL made redirectable to viewvc.
    - Removed useless ‘svn’ in the Vcs-Svn URL.
  * Point debian/watch to CPAN.
  * Tiny style with Debhelper 8 (debian/rules, debian/compat, debian/control).
  * Split scripts in bioperl-run and modules in libbio-perl-run-perl.
    (debian/rules, debian/control, debian/bioperl-run.install,
    debian/libbio-perl-run-perl.install)
  * debian/rules, debian/patches/series, debian/control:
    - debian/patches/install-scripts.patch for non-interactive script install.
    - debian/patches/Use-system-s-Perl.patch against /usr/local/bin/perl.
    - debian/patches/Some-spellchecking.patch.
  * Trigger network tests with DEB_MAINTAINER_MODE (debian/rules,
    debian/README.test).

 -- Charles Plessy <plessy@debian.org>  Sat, 18 Jun 2011 13:21:36 +0900

bioperl-run (1.6.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/10-wrong-path-for-interpreter.patch: removed
    (fixed upstream).
  * debian/watch updated (bioperl -> BioPerl).
  * debian/rules refreshed with dh-make-perl 0.53.
    - Disabled installation of examples (removed upstream).
    - Removed the correction of file permission of Pise documentation
      (removed upstream).
    - Removed patching facilities (no patches anymore).
    - Disabled tests as I experience failures with t/Eponine.t despite
      this program is not installed.
  * debian/copyright:
    - Removed vanity lines about debianization and debian copyright.
    - Incremented years to 2009.
    - Updated to latest experimentation of the machine-readable license summary.
  * debian/control:
    - Incremented Standards-Version to reflect conformance on new Policy
      (dropped versionned build-dependancy on Perl).
    - Removed build-dependancy on quilt (no patches anymore).
    - Depend and Build-Depend on bioperl versions superior or equal to 1.6.0.
    - Build-depends on, and Recommdnes libalgorithm-diff-perl, libipc-run-perl,
      libio-string-perl and libxml-twig-perl, that are listed in DEPENDANCIES.
    - Build-depends on libarray-compare-perl and libtree-dagnode-perl
      (otherwise tests fail). 
    - Depend on amap-align instead of amap (Closes: #541274).

 -- Charles Plessy <plessy@debian.org>  Thu, 03 Sep 2009 11:00:03 +0900

bioperl-run (1.5.2.100-1) unstable; urgency=low

  * Initial Release (Closes: #505112).

 -- Charles Plessy <plessy@debian.org>  Mon, 10 Nov 2008 09:11:17 +0900